<?php
// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Simulatore contabilità
 *
 * @package    mod_mtcontabilita
 * @copyright  2026 Mediatouch 2000 Srl <https://www.mediatouch.it>
 * @license    http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 * @author     Marco Cappuccio <m.cappuccio@mediatouch.it>
 */

require_once('../../../config.php');
require_once($CFG->libdir.'/adminlib.php');

$id = required_param('id', PARAM_INT);
$courseid = optional_param('courseid', false, PARAM_INT);

$currenttab = 'view';

list($course, $cm) = get_course_and_cm_from_cmid($id, 'mtcontabilita');
require_course_login($course, true, $cm);
$mtcontabilita = $PAGE->activityrecord;

// $mtcontabilitacompletion = new mod_mtcontabilita_completion($mtcontabilita, $cm, $courseid);

$context = context_module::instance($cm->id);

if ($course->id == SITEID) {
    $PAGE->set_pagelayout('incourse');
}
$PAGE->set_url('/mod/mtcontabilita/view.php', array('id' => $cm->id));
$PAGE->set_title($mtcontabilita->name);
$PAGE->set_heading($course->fullname);
$PAGE->add_body_class('limitedwidth');

// Check access to the given courseid.
if ($courseid && $courseid != SITEID) {
    require_course_login(get_course($courseid)); // This overwrites the object $COURSE .
}
// Print the page header.
echo $OUTPUT->header();

// Dati da passare al template
$templatecontext = (object)[
    'dragtext' => 'Trascinami',
    'droptext' => 'Rilascia qui',
];
// Render del template Mustache
echo $OUTPUT->render_from_template('mod_mtcontabilita/dd', $templatecontext);


echo $OUTPUT->footer();
